VERSION 2.00
Begin Form ctrSelect 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Select Command"
   ClientHeight    =   1320
   ClientLeft      =   2790
   ClientTop       =   3555
   ClientWidth     =   4575
   Height          =   1725
   Left            =   2730
   LinkTopic       =   "Form2"
   MaxButton       =   0   'False
   ScaleHeight     =   1320
   ScaleWidth      =   4575
   Top             =   3210
   Width           =   4695
   Begin SSPanel pnlCtrSelect 
      Alignment       =   6  'Center - TOP
      BevelWidth      =   2
      BorderWidth     =   0
      Height          =   1335
      Left            =   0
      TabIndex        =   3
      Top             =   0
      Width           =   4575
      Begin SSPanel pnlNewGrating 
         Alignment       =   6  'Center - TOP
         BevelOuter      =   1  'Inset
         Height          =   375
         Left            =   480
         TabIndex        =   4
         Top             =   240
         Width           =   3615
         Begin TextBox txtNGrt 
            Alignment       =   2  'Center
            BackColor       =   &H00FFFFFF&
            Height          =   320
            Left            =   1920
            MaxLength       =   1
            MultiLine       =   -1  'True
            TabIndex        =   0
            Text            =   "1"
            Top             =   30
            Width           =   1335
         End
         Begin Label lblNewGrating 
            BackStyle       =   0  'Transparent
            Caption         =   "Enter New Grating :"
            Height          =   255
            Left            =   60
            TabIndex        =   5
            Top             =   75
            Width           =   1755
         End
      End
      Begin SSCommand cmdCanOK 
         Caption         =   "Cancel"
         ForeColor       =   &H000000FF&
         Height          =   315
         Index           =   0
         Left            =   1920
         TabIndex        =   1
         Top             =   840
         Width           =   975
      End
      Begin SSCommand cmdCanOK 
         Caption         =   "OK"
         ForeColor       =   &H00FF0000&
         Height          =   315
         Index           =   1
         Left            =   3120
         TabIndex        =   2
         Top             =   840
         Width           =   975
      End
   End
End
Option Explicit

Sub cmdCanOK_Click (Index As Integer)
  Dim Status%, NGrt%
  On Error GoTo cmdCanOKErr
  NGrt% = Val(txtNGrt)
  Select Case Index
    Case 0          ' 0 is Cancel button.
      Unload ctrSelect
    Case 1          ' 1 is OK button.
      If Len(txtNGrt) Then
        Status% = CMSelect%(NGrt%, frmCM11x.comComm1, 40) '20: 20s Timeout%
        If Status% < 128 Then
          gblNGrtSelted& = NGrt%
        Else
          MsgBox "An error has occurred !", MB_ICONSTOP
        End If
        Unload ctrSelect
      Else
        MsgBox "The entered number is out of range", MB_ICONEXCLAMATION
        txtNGrt.SetFocus
      End If
  End Select

cmdCanOKResume:
  Exit Sub

cmdCanOKErr:
  MsgBox "Error code is : " & Err, MB_ICONEXCLAMATION
  'Unload ctrSelect
  Resume cmdCanOKResume

End Sub

Sub Form_Load ()
  Centerform ctrSelect
  txtNGrt.Text = gblNGrtSelted&
  txtNGrt.SelLength = Len(txtNGrt)
End Sub

Sub txtNGrt_KeyPress (KeyAscii As Integer)
  Dim NGrt%, DataByte&, Status%
  If gblInitCom% Then         ' If Com has been initialized
    ' Query number of gratings installed
    Status% = CMQuery%(13, DataByte&, frmCM11x.comComm1, 5) '5: 5s Timeout%
    NGrt% = DataByte&
  Else
    MsgBox "Did you initialize a serial port ? "
  End If
  ' Need to query for number of gratings
  Select Case KeyAscii
    Case 13     ' 13 if ascii of CR
      If Val(txtNGrt) = 0 Then
        'Do nothing
      Else
        cmdCanOK_Click (1)      ' 1: is OK button
      End If
    Case Asc("1") To NGrt% + 48 ' Make NGrt%+48 like Asc value

    Case 8      ' 8 is ascii of BS
    
    Case Else
      If KeyAscii > NGrt% And NGrt% Then
        MsgBox "Sorry, number of gratings installed is : " & NGrt%, MB_ICONEXCLAMATION, "Select CM11X Error"
      End If
      KeyAscii = 0
  End Select

End Sub

