VERSION 5.00
Begin VB.Form URdFrEe 
   Appearance      =   0  'Flat
   BackColor       =   &H80000005&
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Read From Eeprom"
   ClientHeight    =   1815
   ClientLeft      =   1185
   ClientTop       =   2940
   ClientWidth     =   4455
   BeginProperty Font 
      Name            =   "MS Sans Serif"
      Size            =   8.25
      Charset         =   0
      Weight          =   700
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   ForeColor       =   &H80000008&
   Icon            =   "URDFRNOV.frx":0000
   LinkTopic       =   "Form2"
   MaxButton       =   0   'False
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   1815
   ScaleWidth      =   4455
   Begin VB.CommandButton cmdCanOK 
      Caption         =   "Exit"
      Height          =   315
      Index           =   0
      Left            =   1920
      Style           =   1  'Graphical
      TabIndex        =   8
      Top             =   1320
      Width           =   975
   End
   Begin VB.CommandButton cmdCanOK 
      Caption         =   "OK"
      Height          =   315
      Index           =   1
      Left            =   3000
      Style           =   1  'Graphical
      TabIndex        =   7
      Top             =   1320
      Width           =   975
   End
   Begin VB.PictureBox pnlRdFrEe 
      Height          =   1815
      Left            =   0
      ScaleHeight     =   1755
      ScaleWidth      =   4395
      TabIndex        =   1
      Top             =   0
      Width           =   4455
      Begin VB.PictureBox pnlByte 
         Height          =   375
         Left            =   360
         ScaleHeight     =   315
         ScaleWidth      =   3555
         TabIndex        =   5
         Top             =   720
         Width           =   3615
         Begin VB.Label lblRdByte 
            Alignment       =   2  'Center
            Appearance      =   0  'Flat
            BackColor       =   &H80000005&
            BorderStyle     =   1  'Fixed Single
            Caption         =   "0"
            BeginProperty Font 
               Name            =   "MS Sans Serif"
               Size            =   9.75
               Charset         =   0
               Weight          =   700
               Underline       =   0   'False
               Italic          =   0   'False
               Strikethrough   =   0   'False
            EndProperty
            ForeColor       =   &H00808080&
            Height          =   285
            Left            =   2400
            TabIndex        =   4
            Top             =   45
            Width           =   975
         End
         Begin VB.Label lblByte 
            Appearance      =   0  'Flat
            BackColor       =   &H80000005&
            BackStyle       =   0  'Transparent
            Caption         =   "Word Read from Eeprom :"
            ForeColor       =   &H80000008&
            Height          =   255
            Left            =   60
            TabIndex        =   6
            Top             =   75
            Width           =   2235
         End
      End
      Begin VB.PictureBox pnlAddr 
         Height          =   390
         Left            =   360
         ScaleHeight     =   330
         ScaleWidth      =   3555
         TabIndex        =   2
         Top             =   240
         Width           =   3615
         Begin VB.TextBox txtAddr 
            Alignment       =   2  'Center
            Appearance      =   0  'Flat
            BackColor       =   &H00FFFFFF&
            ForeColor       =   &H00FF0000&
            Height          =   350
            Left            =   2400
            MaxLength       =   3
            MultiLine       =   -1  'True
            TabIndex        =   0
            Text            =   "URDFRNOV.frx":030A
            Top             =   23
            Width           =   975
         End
         Begin VB.Label lblAddr 
            Appearance      =   0  'Flat
            BackColor       =   &H80000005&
            BackStyle       =   0  'Transparent
            Caption         =   "Enter an Eeprom Address :"
            ForeColor       =   &H80000008&
            Height          =   255
            Left            =   60
            TabIndex        =   3
            Top             =   75
            Width           =   2235
         End
      End
   End
End
Attribute VB_Name = "URdFrEe"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub cmdCanOK_Click(Index As Integer)
  Dim Status%, Addr%, WordRd&
  On Error GoTo cmdCanOKErr
  Select Case Index
    Case 0          ' 0 is Exit (Cancel) button.
      gblOkCancel% = IDCANCEL
      Unload URdFrEe
    Case 1          ' 1 is Read (OK) button.
      If Len(txtAddr) Then
        Addr% = txtAddr.Text
        Status% = ABEepromRead%(Addr%, WordRd&, frmAbDemo.comComm1, 2) '2: 2s Timeout%
        If Status% < 128 Then
          lblRdByte.Caption = WordRd&
        Else
          lblRdByte.Caption = "Error"
        End If
        gblOkCancel% = IDOK
        txtAddr.SetFocus
      Else
        MsgBox "The entered number is out of range", MB_ICONEXCLAMATION, "AB Demo"
        txtAddr.SetFocus
      End If
    End Select

cmdCanOKResume:
  Exit Sub

cmdCanOKErr:
  MsgBox "Error code is : " & Err, MB_ICONEXCLAMATION, "AB.BAS"
  Resume cmdCanOKResume

End Sub

Private Sub Form_Load()
  'Centerform URdFrEe
  txtAddr.SelLength = Len(txtAddr)
End Sub

Private Sub txtAddr_KeyPress(KeyAscii As Integer)
  Select Case KeyAscii
    'Case 13                 ' 13 if ascii of CR
    Case Asc("0") To Asc("9")

    Case 8      ' 8 is ascii of BS
    
    Case Else
      KeyAscii = 0
  End Select

End Sub

Private Sub txtWL_KeyPress(KeyAscii As Integer)
End Sub

